Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155419 - cvs checkout of s-c-lvm from elvis doesn't build
Summary: cvs checkout of s-c-lvm from elvis doesn't build
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-lvm
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jim Parsons
QA Contact: Jim Parsons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-20 07:28 UTC by Colin Charles
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-06 00:10:18 UTC


Attachments (Terms of Use)

Description Colin Charles 2005-04-20 07:28:46 UTC
So, a cvs checkout from elvis (because its not in /cvs/dist for fedora), gave me
a non-buildable s-c-lvm.

when running ./autogen.sh:
no need for patching file 'Makefile.in.in'
patching file po/Makefile.in.in
Hunk #1 FAILED at 77.
1 out of 1 hunk FAILED -- saving rejects to file po/Makefile.in.in.rej
patching file po/Makefile.in.in
Hunk #1 succeeded at 93 with fuzz 2 (offset -4 lines).
Hunk #2 succeeded at 191 (offset 3 lines).
Hunk #3 FAILED at 200.
Hunk #4 FAILED at 208.
Hunk #5 FAILED at 226.
Hunk #6 succeeded at 243 (offset -9 lines).
3 out of 6 hunks FAILED -- saving rejects to file po/Makefile.in.in.rej

When running make:
Now type 'make' to compile system-config-lvm.
[-(byte@arena)-(pts/1)-(05:24pm:20/04/2005)-]
[-(~/cvs/system-config-lvm)> make
Making all in src
make[1]: Entering directory `/home/byte/cvs/system-config-lvm/src'
rm -f system-config-lvm
ln -s system-config-lvm.py system-config-lvm
make[1]: Leaving directory `/home/byte/cvs/system-config-lvm/src'
Making all in po
make[1]: Entering directory `/home/byte/cvs/system-config-lvm/po'
make[1]: Nothing to be done for `all'.
make[1]: Leaving directory `/home/byte/cvs/system-config-lvm/po'
make[1]: Entering directory `/home/byte/cvs/system-config-lvm'
make[1]: *** No rule to make target `system-config-lvm.desktop.in', needed by
`system-config-lvm.desktop'.  Stop.
make[1]: Leaving directory `/home/byte/cvs/system-config-lvm'
make: *** [all-recursive] Error 1

and no, there's no system-config-lvm.desktop.in file that I can see with find.

Comment 1 Jim Parsons 2005-05-05 20:11:38 UTC
Fixed.

Comment 2 Colin Charles 2005-05-06 00:10:18 UTC
Verified.


Note You need to log in before you can comment on or make changes to this bug.